import request from '../utils/request.js'


export function userList(param) {
    return request.get('/user/list', {
        params: param
    });
}
export function baseList(param) {
    return request.get('/field/baseList', {
        params: param
    });
}
export function getFieldById(fieldId){
    return request.get('/model/getFieldById?fieldId=' +  fieldId);
}
export function fieldList(param) {
    return request.get('/model/fieldCombineList', {
        params: param
    });
}
export function parseList(param) {
    return request.get('/parse/list', {
        params: param
    });
}
//自动解析状态
export function autoList(param) {
    return request.get('/parse/autoList', {
        params: param
    });
}
export function creditApprovalList(param) {
    return request.get('/parse/creditApprovalList', {
        params: param
    });
}
export function creditReportList() {
    return request.get('/parse/creditReportList');
}

export function partnerList(param) {
    return request.get('/partner/list', {
        params: param
    });
}
export function partnerAdd(param) {
    return request.post('/partner/partnerAdd', param);
}

export function cooperatorList() {
    return request.get('/partner/cooperatorList');
}

export function roleList(name) {
    return request.get('/role/list?name=' + name);
}
export function sysUserInfo(userId) {
    return request.get('/user/info?userId=' + userId);
}

export function userDel(userId) {
    return request.get('/user/del?userId=' + userId);
}

export function userAdd(param) {
    return request.post('/user/add', param);
}

export function userEdit(param) {
    return request.post('/user/edit', param);
}

export function rights() {
    return request.get('/role/rights');
}



export function roleInfo(roleId) {
    return request.get('/role/info?roleId=' + roleId);
}

export function roleDel(roleId) {
    return request.get('/role/del?roleId=' + roleId);
}

export function roleAdd(param) {
    return request.post('/role/add', param);
}

export function roleEdit(param) {
    return request.post('/role/edit', param);
}

export function userInfo() {
    return request.get('/userInfo');
}


export function fieldInfo(){
    return request.get('/model/getField');
}

export function modelInfo(){
    return request.get('/model/getUserModel');
}

export function modelSubmit(model_data){
    return request.post('/model/addModel',{
        modeldata:model_data
    })
}
export function approvalInfo(){
    return request.get('/model/getApproval');
}
export function listUser()
{
    return request.get('/model/listUser');
}

export function getFiledByName(username)
{
    return request.post('/model/getFieldByName',{
        username:username
    })
}


export function login(username, password) {
    return request.post('/login', {
        username: username,
        password: password
    })
}


export function randomId() {
    let str = "";
    for (let i = 0; i < 4; i++) {
      str += Math.random()
        .toString()
        .replace(/\./, "");
    }
    str = "uid" + str;
    // 取前32位随机字符，不足补0
    return str.length >= 32
      ? str.substr(0, 32)
      : str + repeat("0", 32 - str.length);
  }